View Issue Details

IDProjectCategoryView StatusLast Update
0010929LazarusLCLpublic2014-10-29 22:37
ReporterJohannes Müller Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0010929: TComboBox AutoCompletition overwrites input
DescriptionIf I set AuteComplete and AutoDropDown of true I got the following (in my opinion incorrect) behavior:

1. Select one item from the dropdownmenu
2. Exit the ComboBox
3. Reenter the ComboBox and write a different text on it that are not shown in the dropdownmenu
4. Exit the Combobox => the text switch back to the under 1. selected value
TagsNo tags attached.
Fixed in Revision18528
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0025320 new TComboBox in csDropDown Mode Fails for Partial Match 

Activities

Vincent Snijders

2008-03-04 09:15

manager   ~0018077

What is in your opinion correct behavior?

Johannes Müller

2008-03-04 21:10

reporter   ~0018136

Last edited: 2008-03-04 21:14

In my opinion it should be possible to reenter an userspecific text without selection from the pulldownmenue like the behavior if AutoComplete ins't true. I think, autocomplete is an easement not an limitation.

For example, the user selected an Item from the Pulldownmenu and after that, he notes, that this item isn't complete and he want to add an prefix.

Vincent Snijders

2008-03-04 21:26

manager   ~0018138

Thanks. I think it clear now.

Paul Ishenin

2009-02-01 11:23

manager   ~0024971

Please test and close if ok.

Johannes Müller

2009-02-02 12:49

reporter   ~0025017

it works, thanks.

Issue History

Date Modified Username Field Change
2008-03-03 22:11 Johannes Müller New Issue
2008-03-03 22:11 Johannes Müller Widgetset => Win32
2008-03-04 09:15 Vincent Snijders LazTarget => 1.0
2008-03-04 09:15 Vincent Snijders Note Added: 0018077
2008-03-04 09:15 Vincent Snijders Status new => feedback
2008-03-04 21:10 Johannes Müller Note Added: 0018136
2008-03-04 21:12 Johannes Müller Note Edited: 0018136
2008-03-04 21:14 Johannes Müller Note Edited: 0018136
2008-03-04 21:26 Vincent Snijders Note Added: 0018138
2008-03-04 21:26 Vincent Snijders Status feedback => acknowledged
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-02-01 11:23 Paul Ishenin Fixed in Revision => 18528
2009-02-01 11:23 Paul Ishenin Status acknowledged => resolved
2009-02-01 11:23 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-02-01 11:23 Paul Ishenin Resolution open => fixed
2009-02-01 11:23 Paul Ishenin Assigned To => Paul Ishenin
2009-02-01 11:23 Paul Ishenin Note Added: 0024971
2009-02-02 12:49 Johannes Müller Status resolved => closed
2009-02-02 12:49 Johannes Müller Note Added: 0025017
2014-10-29 22:37 Juha Manninen Relationship added related to 0025320